<?php

namespace App\DTO\Settings;

final class MetricsDTO
{
    private bool $yandexMetrikaEnabled;
    private string $yandexMetrikaCounter;

    public function __construct(
        bool $yandexMetrikaEnabled,
        string $yandexMetrikaCounter
    ) {
        $this->yandexMetrikaEnabled = $yandexMetrikaEnabled;
        $this->yandexMetrikaCounter = $yandexMetrikaCounter;
    }

    public function isYandexMetrikaEnabled(): bool
    {
        return $this->yandexMetrikaEnabled;
    }

    public function getYandexMetrikaCounter(): string
    {
        return $this->yandexMetrikaCounter;
    }

    public function toArray(): array
    {
        return [
            'yandex_metrika_enabled' => $this->yandexMetrikaEnabled,
            'yandex_metrika_counter' => $this->yandexMetrikaCounter,
        ];
    }
}
